# Stickers — Unlock

The LiSA Player dispatches a message when an active sticker with an activation timer is unlocked, indicating that the activation timer has completed.

This message is sent by the LiSA Player to the host app / environment.

### Properties

Along with all standard [Sticker message properties](/developers/guides/player-communication/message-api-reference/stickers.md#properties), an **Unlock** message includes the following additional properties:

<table><thead><tr><th width="220" valign="top">Name</th><th width="175" valign="top">Type</th><th valign="top">Description</th></tr></thead><tbody><tr><td valign="top"><code>messageType</code></td><td valign="top"><pre><code>Literal
</code></pre><p>Required.</p></td><td valign="top"><code>lsc:sticker:unlock</code></td></tr><tr><td valign="top"><code>stickerActivationTimerIsActive</code></td><td valign="top"><pre><code>Literal
</code></pre><p>Required.</p></td><td valign="top">The <code>stickerActivationTimerIsActive</code> property indicates, whether the sticker's activation timer is currently running.<br><br>In case of the Sticker Unlock message, the value is always <code>false</code>.</td></tr><tr><td valign="top"><code>stickerActivationTimerIsCompleted</code></td><td valign="top"><pre><code>Literal
</code></pre><p>Required.</p></td><td valign="top">The <code>stickerActivationTimerIsCompleted</code> property indicates, whether the sticker's activation timer is complete.<br><br>In case of the Sticker Unlock message, the value is always <code>true</code>.</td></tr><tr><td valign="top"><code>stickerIsExpired</code></td><td valign="top"><pre><code>Literal
</code></pre><p>Required.</p></td><td valign="top">The <code>stickerIsExpired</code> property indicates, whether the sticker has expired.<br><br>In case of the Sticker Unlock message, the value is always <code>false</code>.</td></tr><tr><td valign="top"><code>stickerIsUnlocked</code></td><td valign="top"><pre><code>Literal
</code></pre><p>Required.</p></td><td valign="top">The <code>stickerIsUnlocked</code> property indicates, whether the sticker is unlocked. Either when the activation timer is not set or has completed AND the sticker has not expired.<br><br>In case of the Sticker Unlock message, the value is always <code>true</code>.</td></tr></tbody></table>

***

### Type Definition

```typescript
interface StickerUnlockMessage extends Omit<
  StickerMessage,
  | 'messageType'
  | 'stickerActivationTimerIsActive'
  | 'stickerActivationTimerIsCompleted'
  | 'stickerIsExpired'
  | 'stickerIsUnlocked'
> {
  messageType: 'lsc:sticker:unlock';
  stickerActivationTimerIsActive: false;
  stickerActivationTimerIsCompleted: true;
  stickerIsExpired: true;
  stickerIsUnlocked: true;
}
```

***

### Examples

```json
{
  "clockDriftInMs": 0,
  "mediaItemId": "9f333331-45cb-4289-8bcd-9023c1871111",
  "mediaItemType": "live",
  "messageType": "lsc:sticker:unlock",
  "progress": {
    "bufferedTimeInMs": 648036,
    "currentTimeInMs": 628008,
    "durationInMs": 4616000,
    "elapsedTimeInMs": 28784,
    "skipTimeInMs": 600000,
    "isLive": true,
    "visitorDwellTimeInMs": 29135,
    "isPlaying": true
  },
  "sender": "LiSA",
  "stickerActionTarget": "NEW-YEARS-DROP",
  "stickerActivationTimerDurationInSec": 300,
  "stickerActivationTimerIsActive": false,
  "stickerActivationTimerIsCompleted": true,
  "stickerActivationTimerStartedAt": "2025-01-01T19:15:00Z",
  "stickerDetails": {
    "ctaBehavior": "addToCart",
    "productBrand": "BLIZ",
    "productCurrency": "EUR",
    "productId": "ab016523-250c-49a3-b2b4-86487d9df813",
    "productReference": "f20312c0-40a2-4b20-986c-5b81ceca6eae",
    "productPrice": 89.95,
    "productTitle": "RAVE UNISEX - Ski goggles - matt black/white"
  },
  "stickerExpiryTimerDurationInSec": 900,
  "stickerExpiryTimerIsActive": true,
  "stickerExpiryTimerStartedAt": "2025-01-01T19:20:00Z",
  "stickerId": "9ffbad77-c6e8-495e-99bb-193b0d3b109f",
  "stickerIsExpired": true,
  "stickerIsUnlocked": true,
  "stickerType": "product"
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.hello-lisa.com/developers/guides/player-communication/message-api-reference/stickers/stickers-unlock.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
